Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.util
Class MBeanProxy

    java.lang.Object
      org.jboss.mx.util.MBeanProxy

public class MBeanProxy
extends Object

Version:
  $Revision: 1.6 $
Author:
  Juha Lindfors.
See Also:
  `Proxy`

Constructor Summary
`MBeanProxy()`

Method Summary
`static Object` | `create(Class instance, Class intrface, ObjectName name, MBeanServer server)` Convenience method for registering an MBean and retrieving a proxy for it.
`static Object` | `create(Class instance, Class intrface, ObjectName name, String agentID)` Convenience method for registering an MBean and retrieving a proxy for it.
`static Object` | `get(Class intrface, ObjectName name, MBeanServer server)` Creates a proxy to an MBean in the given MBean server.
`static Object` | `get(Class intrface, ObjectName name, String agentID)` Creates a proxy to an MBean in the given MBean server.
`static Object` | `get(ObjectName name, MBeanServer server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanProxy

    public MBeanProxy()

Method Detail

### get

    public static Object get(Class intrface,
                             ObjectName name,
                             String agentID)
                      throws MBeanProxyCreationException

  Creates a proxy to an MBean in the given MBean server.

  Parameters:
    `intrface` - the interface this proxy implements
    `name` - object name of the MBean this proxy connects to
    `agentID` - agent ID of the MBean server this proxy connects to
  Returns:
    proxy instance
  Throws:
    `MBeanProxyCreationException` - if the proxy could not be created

### get

    public static Object get(Class intrface,
                             ObjectName name,
                             MBeanServer server)
                      throws MBeanProxyCreationException

  Creates a proxy to an MBean in the given MBean server.

  Parameters:
    `intrface` - the interface this proxy implements
    `name` - object name of the MBean this proxy connects to
    `server` - MBean server this proxy connects to
  Returns:
    proxy instance
  Throws:
    `MBeanProxyCreationException` - if the proxy could not be created

### get

    public static Object get(ObjectName name,
                             MBeanServer server)
                      throws MBeanProxyCreationException

  Throws:
    `MBeanProxyCreationException`

### create

    public static Object create(Class instance,
                                Class intrface,
                                ObjectName name,
                                String agentID)
                         throws MBeanProxyCreationException

  Convenience method for registering an MBean and retrieving a proxy for it.

  Parameters:
    `instance` - MBean instance to be registered
    `intrface` - the interface this proxy implements
    `name` - object name of the MBean
    `agentID` - agent ID of the MBean server this proxy connects to
  Returns:
    proxy instance
  Throws:
    `MBeanProxyCreationException` - if the proxy could not be created

### create

    public static Object create(Class instance,
                                Class intrface,
                                ObjectName name,
                                MBeanServer server)
                         throws MBeanProxyCreationException

  Convenience method for registering an MBean and retrieving a proxy for it.

  Parameters:
    `instance` - MBean instance to be registered
    `intrface` - the interface this proxy implements
    `name` - object name of the MBean
    `server` - MBean server this proxy connects to
  Throws:
    `MBeanProxyCreationException` - if the proxy could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.